Get configurations for the authenticated user or team
GET
https://api.vercel.com/v1/integrations/configurationsAllows to retrieve all configurations for an authenticated integration. When the
project view is used, configurations generated for the authorization flow will be filtered out of the results.https://api.vercel.com/v1/integrations/configurations
const response = await fetch('https://api.vercel.com/v1/integrations/configurations?view=string&installationType=string&integrationIdOrSlug=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "acceptedPoliciesInheritedFromInstallationId": "example_id", "completedAt": "1558531915505", "createdAt": "1558531915505", "customerDeleteRequestedAt": "123", "deletedAt": "1558531915505", "deleteRequestedAt": "1558531915505", "disabledAt": "1558531915505", "disabledReason": "account-plan-downgrade", "externalId": "example_id", "id": "icfg_3bwCLgxL8qt5kjRLcv2Dit7F", "installationType": "external", "integrationId": "oac_xzpVzcUOgcB1nrVlirtKhbWV", "ownerId": "kr1PsOIzqEL5Xg6M4VZcZosf", "projects": [], "scopes": [], "slug": "slack", "source": "marketplace", "status": "error", "teamId": "team_nLlpyC6RE1qxydlFKbrxDlud", "type": "integration-configuration", "updatedAt": "1558531915505", "userId": "kr1PsOIzqEL5Xg6M4VZcZosf" }]AuthorizationbearerToken
Default authentication mechanism